<?php 

sb_language( 'themes' ); // load language strings

block_admin();           // this is for block management in the side menus
theme_init();            // initialize theme parameters

	
function theme_init () {
    global $theme_vars;
    global $blog_config;
		
    $theme_vars = array();
		
    if (isset($blog_config['blog_entry_width'])){
      $theme_vars["content_width"] = $blog_config['blog_entry_width'];
    }
    else{$theme_vars["content_width"] = 550;}
    if (isset($blog_config['blog_menu_width'])){
      $theme_vars["menu_width"] = $blog_config['blog_menu_width'];
    }
    else{$theme_vars["menu_width"] = 170;}
		
    $theme_vars["popup_window"]["width"] = $theme_vars["content_width"] + 50;
    $theme_vars["popup_window"]["height"] = 600;
    $theme_vars["popup_window"]["content_width"] = $theme_vars['content_width'];
    $theme_vars["max_image_width"] = $theme_vars["content_width"] - 20;
}



function theme_blogentry ( $entry_array ) {
  return photo_blogentry($entry_array);
}

function theme_staticentry ( $entry_array ) {
  return photo_blogentry($entry_array);
}

function theme_commententry ( $entry_array ) {
  return photo_commententry($entry_array);
}
	
function theme_trackbackentry ( $entry_array ) {
  return default_trackbackentry($entry_array);
}


function theme_menu_left(){
  menu_blocks('left');
}

function theme_menu_right(){
  menu_blocks('right');
}

function theme_menu_top(){
  top_menu_blocks();
}

function theme_default_colors () {
    $color_def = array();
    return ( $color_def );
}



function theme_pagelayout () { 
  global $blog_config;
  $blog_config['show_links_in_header']=true;
  $blog_config['show_searchbox_in_header']=false;
  return default_pagelayout(); 
} 


function theme_popuplayout () {
  default_popuplayout();
}

?>
